### YamlMime:ManagedReference
items:
- uid: adas_core.LocalLogin.LocalLoginServiceImpl
  commentId: T:adas_core.LocalLogin.LocalLoginServiceImpl
  id: LocalLoginServiceImpl
  parent: adas_core.LocalLogin
  children:
  - adas_core.LocalLogin.LocalLoginServiceImpl.#ctor(adas_core.LocalLogin.ILocalLoginRepository,adas_core.Authentication.Interfaces.IAuthorityService)
  - adas_core.LocalLogin.LocalLoginServiceImpl.AllowPassword
  - adas_core.LocalLogin.LocalLoginServiceImpl.Authenticate(System.String,System.String)
  - adas_core.LocalLogin.LocalLoginServiceImpl.GetAllUsers
  - adas_core.LocalLogin.LocalLoginServiceImpl.GetByEmail(System.String)
  - adas_core.LocalLogin.LocalLoginServiceImpl.GetById(MongoDB.Bson.ObjectId)
  - adas_core.LocalLogin.LocalLoginServiceImpl.GetByUsername(System.String)
  - adas_core.LocalLogin.LocalLoginServiceImpl.Login(Microsoft.AspNetCore.Http.HttpContext)
  - adas_core.LocalLogin.LocalLoginServiceImpl.Login(System.String,System.String)
  - adas_core.LocalLogin.LocalLoginServiceImpl.Method
  langs:
  - csharp
  - vb
  name: LocalLoginServiceImpl
  nameWithType: LocalLoginServiceImpl
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl
  type: Class
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: LocalLoginServiceImpl
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 17
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: Service implementation for local login functionality. This service handles user authentication using a local repository and authority service to manage user credentials and permissions.
  example: []
  syntax:
    content: 'public class LocalLoginServiceImpl : ILoginService'
    content.vb: Public Class LocalLoginServiceImpl Implements ILoginService
  inheritance:
  - System.Object
  implements:
  - adas_core.Authentication.Interfaces.ILoginService
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.#ctor(adas_core.LocalLogin.ILocalLoginRepository,adas_core.Authentication.Interfaces.IAuthorityService)
  commentId: M:adas_core.LocalLogin.LocalLoginServiceImpl.#ctor(adas_core.LocalLogin.ILocalLoginRepository,adas_core.Authentication.Interfaces.IAuthorityService)
  id: '#ctor(adas_core.LocalLogin.ILocalLoginRepository,adas_core.Authentication.Interfaces.IAuthorityService)'
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: LocalLoginServiceImpl(ILocalLoginRepository, IAuthorityService)
  nameWithType: LocalLoginServiceImpl.LocalLoginServiceImpl(ILocalLoginRepository, IAuthorityService)
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.LocalLoginServiceImpl(adas_core.LocalLogin.ILocalLoginRepository, adas_core.Authentication.Interfaces.IAuthorityService)
  type: Constructor
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: .ctor
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 17
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: Service implementation for local login functionality. This service handles user authentication using a local repository and authority service to manage user credentials and permissions.
  example: []
  syntax:
    content: public LocalLoginServiceImpl(ILocalLoginRepository localLoginRepository, IAuthorityService authorityService)
    parameters:
    - id: localLoginRepository
      type: adas_core.LocalLogin.ILocalLoginRepository
      description: The repository used to access local user data.
    - id: authorityService
      type: adas_core.Authentication.Interfaces.IAuthorityService
      description: The service used to manage user authorities and permissions.
    content.vb: Public Sub New(localLoginRepository As ILocalLoginRepository, authorityService As IAuthorityService)
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.#ctor*
  nameWithType.vb: LocalLoginServiceImpl.New(ILocalLoginRepository, IAuthorityService)
  fullName.vb: adas_core.LocalLogin.LocalLoginServiceImpl.New(adas_core.LocalLogin.ILocalLoginRepository, adas_core.Authentication.Interfaces.IAuthorityService)
  name.vb: New(ILocalLoginRepository, IAuthorityService)
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.AllowPassword
  commentId: P:adas_core.LocalLogin.LocalLoginServiceImpl.AllowPassword
  id: AllowPassword
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: AllowPassword
  nameWithType: LocalLoginServiceImpl.AllowPassword
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.AllowPassword
  type: Property
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: AllowPassword
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 25
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: Indicates whether password-based login is allowed for this service. For local login, this is always true.
  example: []
  syntax:
    content: public bool AllowPassword { get; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public ReadOnly Property AllowPassword As Boolean
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.AllowPassword*
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.AllowPassword
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.Method
  commentId: P:adas_core.LocalLogin.LocalLoginServiceImpl.Method
  id: Method
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: Method
  nameWithType: LocalLoginServiceImpl.Method
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.Method
  type: Property
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Method
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 30
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: Indicates the login method used by this service, which is local login in this case.
  example: []
  syntax:
    content: public UserEnum.LoginMethod Method { get; }
    parameters: []
    return:
      type: adas_core.Domain.Enums.UserEnum.LoginMethod
    content.vb: Public ReadOnly Property Method As UserEnum.LoginMethod
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.Method*
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.Method
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.Login(System.String,System.String)
  commentId: M:adas_core.LocalLogin.LocalLoginServiceImpl.Login(System.String,System.String)
  id: Login(System.String,System.String)
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: Login(string, string)
  nameWithType: LocalLoginServiceImpl.Login(string, string)
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.Login(string, string)
  type: Method
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Login
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 40
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: >-
    Authenticates a user based on the provided username and password. It retrieves the user from the local repository, verifies the password, and if successful, retrieves the user's authorities before returning the user object. 

    If authentication fails, it throws an UnauthorizedException with an appropriate error message.
  example: []
  syntax:
    content: public Task<User> Login(string username, string password)
    parameters:
    - id: username
      type: System.String
      description: The username of the user to authenticate.
    - id: password
      type: System.String
      description: The password of the user to authenticate.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: The authenticated user object.
    content.vb: Public Function Login(username As String, password As String) As Task(Of User)
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.Login*
  exceptions:
  - type: adas_core.Application.Exceptions.UnauthorizedException
    commentId: T:adas_core.Application.Exceptions.UnauthorizedException
    description: Thrown when the username or password is invalid.
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
  nameWithType.vb: LocalLoginServiceImpl.Login(String, String)
  fullName.vb: adas_core.LocalLogin.LocalLoginServiceImpl.Login(String, String)
  name.vb: Login(String, String)
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.Login(Microsoft.AspNetCore.Http.HttpContext)
  commentId: M:adas_core.LocalLogin.LocalLoginServiceImpl.Login(Microsoft.AspNetCore.Http.HttpContext)
  id: Login(Microsoft.AspNetCore.Http.HttpContext)
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: Login(HttpContext)
  nameWithType: LocalLoginServiceImpl.Login(HttpContext)
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.Login(Microsoft.AspNetCore.Http.HttpContext)
  type: Method
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Login
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 58
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: Authenticates a user based on the provided HTTP context. This method is not implemented for local login and will throw a LoginServicesException if called.
  example: []
  syntax:
    content: public Task<User> Login(HttpContext context)
    parameters:
    - id: context
      type: Microsoft.AspNetCore.Http.HttpContext
      description: The HTTP context used for authentication.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: A task representing the asynchronous operation.
    content.vb: Public Function Login(context As HttpContext) As Task(Of User)
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.Login*
  exceptions:
  - type: adas_core.Domain.Exceptions.LoginServicesException
    commentId: T:adas_core.Domain.Exceptions.LoginServicesException
    description: Thrown when this method is called, as it is not implemented for local login.
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.Authenticate(System.String,System.String)
  commentId: M:adas_core.LocalLogin.LocalLoginServiceImpl.Authenticate(System.String,System.String)
  id: Authenticate(System.String,System.String)
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: Authenticate(string, string)
  nameWithType: LocalLoginServiceImpl.Authenticate(string, string)
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.Authenticate(string, string)
  type: Method
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Authenticate
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 70
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: >-
    Authenticates a user based on the provided username and password. This method is similar to the Login method but does not throw exceptions for invalid credentials. 

    Instead, it returns an empty User object if authentication fails. This can be useful in scenarios where you want to check credentials without throwing exceptions.
  example: []
  syntax:
    content: public Task<User> Authenticate(string username, string password)
    parameters:
    - id: username
      type: System.String
      description: The username of the user to authenticate.
    - id: password
      type: System.String
      description: The password of the user to authenticate.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: The authenticated user object, or an empty User object if authentication fails.
    content.vb: Public Function Authenticate(username As String, password As String) As Task(Of User)
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.Authenticate*
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
  nameWithType.vb: LocalLoginServiceImpl.Authenticate(String, String)
  fullName.vb: adas_core.LocalLogin.LocalLoginServiceImpl.Authenticate(String, String)
  name.vb: Authenticate(String, String)
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.GetById(MongoDB.Bson.ObjectId)
  commentId: M:adas_core.LocalLogin.LocalLoginServiceImpl.GetById(MongoDB.Bson.ObjectId)
  id: GetById(MongoDB.Bson.ObjectId)
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: GetById(ObjectId)
  nameWithType: LocalLoginServiceImpl.GetById(ObjectId)
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.GetById(MongoDB.Bson.ObjectId)
  type: Method
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GetById
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 92
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: Retrieves a user by their unique identifier (ObjectId). This method queries the local repository for a user with the specified ID and returns the user object if found. If no user is found with the given ID, it returns null.
  example: []
  syntax:
    content: public Task<User?> GetById(ObjectId id)
    parameters:
    - id: id
      type: MongoDB.Bson.ObjectId
      description: The unique identifier of the user to retrieve.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: The user object if found, or null if no user is found with the given ID.
    content.vb: Public Function GetById(id As ObjectId) As Task(Of User)
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.GetById*
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.GetByEmail(System.String)
  commentId: M:adas_core.LocalLogin.LocalLoginServiceImpl.GetByEmail(System.String)
  id: GetByEmail(System.String)
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: GetByEmail(string)
  nameWithType: LocalLoginServiceImpl.GetByEmail(string)
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.GetByEmail(string)
  type: Method
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GetByEmail
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 102
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: Retrieves a user by their email address. This method queries the local repository for a user with the specified email and returns the user object if found. If no user is found with the given email, it returns null.
  example: []
  syntax:
    content: public Task<User?> GetByEmail(string email)
    parameters:
    - id: email
      type: System.String
      description: The email address of the user to retrieve.
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: The user object if found, or null if no user is found with the given email.
    content.vb: Public Function GetByEmail(email As String) As Task(Of User)
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.GetByEmail*
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
  nameWithType.vb: LocalLoginServiceImpl.GetByEmail(String)
  fullName.vb: adas_core.LocalLogin.LocalLoginServiceImpl.GetByEmail(String)
  name.vb: GetByEmail(String)
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.GetByUsername(System.String)
  commentId: M:adas_core.LocalLogin.LocalLoginServiceImpl.GetByUsername(System.String)
  id: GetByUsername(System.String)
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: GetByUsername(string)
  nameWithType: LocalLoginServiceImpl.GetByUsername(string)
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.GetByUsername(string)
  type: Method
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GetByUsername
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 112
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: Retrieves a user by their username. This method queries the local repository for a user with the specified username and returns the user object if found. If no user is found with the given username, it returns null.
  example: []
  syntax:
    content: public Task<User?> GetByUsername(string username)
    parameters:
    - id: username
      type: System.String
      description: ''
    return:
      type: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
      description: ''
    content.vb: Public Function GetByUsername(username As String) As Task(Of User)
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.GetByUsername*
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
  nameWithType.vb: LocalLoginServiceImpl.GetByUsername(String)
  fullName.vb: adas_core.LocalLogin.LocalLoginServiceImpl.GetByUsername(String)
  name.vb: GetByUsername(String)
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.GetAllUsers
  commentId: M:adas_core.LocalLogin.LocalLoginServiceImpl.GetAllUsers
  id: GetAllUsers
  parent: adas_core.LocalLogin.LocalLoginServiceImpl
  langs:
  - csharp
  - vb
  name: GetAllUsers()
  nameWithType: LocalLoginServiceImpl.GetAllUsers()
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.GetAllUsers()
  type: Method
  source:
    remote:
      path: adas-core.LocalLogin/LocalLoginServiceImpl.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GetAllUsers
    path: ../../adas-core.LocalLogin/LocalLoginServiceImpl.cs
    startLine: 121
  assemblies:
  - adas-core.LocalLogin
  namespace: adas_core.LocalLogin
  summary: Retrieves a list of all users from the local repository. This method queries the repository for all user records and returns them as a list. If there are no users in the repository, it returns an empty list.
  example: []
  syntax:
    content: public Task<List<User>> GetAllUsers()
    return:
      type: System.Threading.Tasks.Task{System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.User}}
      description: A list of all user objects, or an empty list if no users are found.
    content.vb: Public Function GetAllUsers() As Task(Of List(Of User))
  overload: adas_core.LocalLogin.LocalLoginServiceImpl.GetAllUsers*
  implements:
  - adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
references:
- uid: adas_core.LocalLogin
  commentId: N:adas_core.LocalLogin
  href: adas_core.html
  name: adas_core.LocalLogin
  nameWithType: adas_core.LocalLogin
  fullName: adas_core.LocalLogin
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.LocalLogin
    name: LocalLogin
    href: adas_core.LocalLogin.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.LocalLogin
    name: LocalLogin
    href: adas_core.LocalLogin.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: adas_core.Authentication.Interfaces.ILoginService
  commentId: T:adas_core.Authentication.Interfaces.ILoginService
  parent: adas_core.Authentication.Interfaces
  href: adas_core.Authentication.Interfaces.ILoginService.html
  name: ILoginService
  nameWithType: ILoginService
  fullName: adas_core.Authentication.Interfaces.ILoginService
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Authentication.Interfaces
  commentId: N:adas_core.Authentication.Interfaces
  href: adas_core.html
  name: adas_core.Authentication.Interfaces
  nameWithType: adas_core.Authentication.Interfaces
  fullName: adas_core.Authentication.Interfaces
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Authentication
    name: Authentication
    href: adas_core.Authentication.html
  - name: .
  - uid: adas_core.Authentication.Interfaces
    name: Interfaces
    href: adas_core.Authentication.Interfaces.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Authentication
    name: Authentication
    href: adas_core.Authentication.html
  - name: .
  - uid: adas_core.Authentication.Interfaces
    name: Interfaces
    href: adas_core.Authentication.Interfaces.html
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.#ctor*
  commentId: Overload:adas_core.LocalLogin.LocalLoginServiceImpl.#ctor
  href: adas_core.LocalLogin.LocalLoginServiceImpl.html#adas_core_LocalLogin_LocalLoginServiceImpl__ctor_adas_core_LocalLogin_ILocalLoginRepository_adas_core_Authentication_Interfaces_IAuthorityService_
  name: LocalLoginServiceImpl
  nameWithType: LocalLoginServiceImpl.LocalLoginServiceImpl
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.LocalLoginServiceImpl
  nameWithType.vb: LocalLoginServiceImpl.New
  fullName.vb: adas_core.LocalLogin.LocalLoginServiceImpl.New
  name.vb: New
- uid: adas_core.LocalLogin.ILocalLoginRepository
  commentId: T:adas_core.LocalLogin.ILocalLoginRepository
  parent: adas_core.LocalLogin
  href: adas_core.LocalLogin.ILocalLoginRepository.html
  name: ILocalLoginRepository
  nameWithType: ILocalLoginRepository
  fullName: adas_core.LocalLogin.ILocalLoginRepository
- uid: adas_core.Authentication.Interfaces.IAuthorityService
  commentId: T:adas_core.Authentication.Interfaces.IAuthorityService
  parent: adas_core.Authentication.Interfaces
  href: adas_core.Authentication.Interfaces.IAuthorityService.html
  name: IAuthorityService
  nameWithType: IAuthorityService
  fullName: adas_core.Authentication.Interfaces.IAuthorityService
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.AllowPassword*
  commentId: Overload:adas_core.LocalLogin.LocalLoginServiceImpl.AllowPassword
  href: adas_core.LocalLogin.LocalLoginServiceImpl.html#adas_core_LocalLogin_LocalLoginServiceImpl_AllowPassword
  name: AllowPassword
  nameWithType: LocalLoginServiceImpl.AllowPassword
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.AllowPassword
- uid: adas_core.Authentication.Interfaces.ILoginService.AllowPassword
  commentId: P:adas_core.Authentication.Interfaces.ILoginService.AllowPassword
  parent: adas_core.Authentication.Interfaces.ILoginService
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_AllowPassword
  name: AllowPassword
  nameWithType: ILoginService.AllowPassword
  fullName: adas_core.Authentication.Interfaces.ILoginService.AllowPassword
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.Method*
  commentId: Overload:adas_core.LocalLogin.LocalLoginServiceImpl.Method
  href: adas_core.LocalLogin.LocalLoginServiceImpl.html#adas_core_LocalLogin_LocalLoginServiceImpl_Method
  name: Method
  nameWithType: LocalLoginServiceImpl.Method
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.Method
- uid: adas_core.Authentication.Interfaces.ILoginService.Method
  commentId: P:adas_core.Authentication.Interfaces.ILoginService.Method
  parent: adas_core.Authentication.Interfaces.ILoginService
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Method
  name: Method
  nameWithType: ILoginService.Method
  fullName: adas_core.Authentication.Interfaces.ILoginService.Method
- uid: adas_core.Domain.Enums.UserEnum.LoginMethod
  commentId: T:adas_core.Domain.Enums.UserEnum.LoginMethod
  parent: adas_core.Domain.Enums
  href: adas_core.Domain.Enums.UserEnum.html
  name: UserEnum.LoginMethod
  nameWithType: UserEnum.LoginMethod
  fullName: adas_core.Domain.Enums.UserEnum.LoginMethod
  spec.csharp:
  - uid: adas_core.Domain.Enums.UserEnum
    name: UserEnum
    href: adas_core.Domain.Enums.UserEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.UserEnum.LoginMethod
    name: LoginMethod
    href: adas_core.Domain.Enums.UserEnum.LoginMethod.html
  spec.vb:
  - uid: adas_core.Domain.Enums.UserEnum
    name: UserEnum
    href: adas_core.Domain.Enums.UserEnum.html
  - name: .
  - uid: adas_core.Domain.Enums.UserEnum.LoginMethod
    name: LoginMethod
    href: adas_core.Domain.Enums.UserEnum.LoginMethod.html
- uid: adas_core.Domain.Enums
  commentId: N:adas_core.Domain.Enums
  href: adas_core.html
  name: adas_core.Domain.Enums
  nameWithType: adas_core.Domain.Enums
  fullName: adas_core.Domain.Enums
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
- uid: adas_core.Application.Exceptions.UnauthorizedException
  commentId: T:adas_core.Application.Exceptions.UnauthorizedException
  href: adas_core.Application.Exceptions.UnauthorizedException.html
  name: UnauthorizedException
  nameWithType: UnauthorizedException
  fullName: adas_core.Application.Exceptions.UnauthorizedException
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.Login*
  commentId: Overload:adas_core.LocalLogin.LocalLoginServiceImpl.Login
  href: adas_core.LocalLogin.LocalLoginServiceImpl.html#adas_core_LocalLogin_LocalLoginServiceImpl_Login_System_String_System_String_
  name: Login
  nameWithType: LocalLoginServiceImpl.Login
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.Login
- uid: adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_System_String_System_String_
  name: Login(string, string)
  nameWithType: ILoginService.Login(string, string)
  fullName: adas_core.Authentication.Interfaces.ILoginService.Login(string, string)
  nameWithType.vb: ILoginService.Login(String, String)
  fullName.vb: adas_core.Authentication.Interfaces.ILoginService.Login(String, String)
  name.vb: Login(String, String)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
    name: Login
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_System_String_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Login(System.String,System.String)
    name: Login
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_System_String_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
  commentId: T:System.Threading.Tasks.Task{adas_core.Domain.Models.MongoModels.User}
  parent: System.Threading.Tasks
  definition: System.Threading.Tasks.Task`1
  href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  name: Task<User>
  nameWithType: Task<User>
  fullName: System.Threading.Tasks.Task<adas_core.Domain.Models.MongoModels.User>
  nameWithType.vb: Task(Of User)
  fullName.vb: System.Threading.Tasks.Task(Of adas_core.Domain.Models.MongoModels.User)
  name.vb: Task(Of User)
  spec.csharp:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: <
  - uid: adas_core.Domain.Models.MongoModels.User
    name: User
  - name: '>'
  spec.vb:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.MongoModels.User
    name: User
  - name: )
- uid: System.Threading.Tasks.Task`1
  commentId: T:System.Threading.Tasks.Task`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  name: Task<TResult>
  nameWithType: Task<TResult>
  fullName: System.Threading.Tasks.Task<TResult>
  nameWithType.vb: Task(Of TResult)
  fullName.vb: System.Threading.Tasks.Task(Of TResult)
  name.vb: Task(Of TResult)
  spec.csharp:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: <
  - name: TResult
  - name: '>'
  spec.vb:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: (
  - name: Of
  - name: " "
  - name: TResult
  - name: )
- uid: System.Threading.Tasks
  commentId: N:System.Threading.Tasks
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Threading.Tasks
  nameWithType: System.Threading.Tasks
  fullName: System.Threading.Tasks
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Threading
    name: Threading
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading
  - name: .
  - uid: System.Threading.Tasks
    name: Tasks
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Threading
    name: Threading
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading
  - name: .
  - uid: System.Threading.Tasks
    name: Tasks
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks
- uid: adas_core.Domain.Exceptions.LoginServicesException
  commentId: T:adas_core.Domain.Exceptions.LoginServicesException
  href: adas_core.Domain.Exceptions.LoginServicesException.html
  name: LoginServicesException
  nameWithType: LoginServicesException
  fullName: adas_core.Domain.Exceptions.LoginServicesException
- uid: adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_Microsoft_AspNetCore_Http_HttpContext_
  name: Login(HttpContext)
  nameWithType: ILoginService.Login(HttpContext)
  fullName: adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
    name: Login
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_Microsoft_AspNetCore_Http_HttpContext_
  - name: (
  - uid: Microsoft.AspNetCore.Http.HttpContext
    name: HttpContext
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http.httpcontext
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Login(Microsoft.AspNetCore.Http.HttpContext)
    name: Login
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Login_Microsoft_AspNetCore_Http_HttpContext_
  - name: (
  - uid: Microsoft.AspNetCore.Http.HttpContext
    name: HttpContext
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http.httpcontext
  - name: )
- uid: Microsoft.AspNetCore.Http.HttpContext
  commentId: T:Microsoft.AspNetCore.Http.HttpContext
  parent: Microsoft.AspNetCore.Http
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http.httpcontext
  name: HttpContext
  nameWithType: HttpContext
  fullName: Microsoft.AspNetCore.Http.HttpContext
- uid: Microsoft.AspNetCore.Http
  commentId: N:Microsoft.AspNetCore.Http
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/microsoft
  name: Microsoft.AspNetCore.Http
  nameWithType: Microsoft.AspNetCore.Http
  fullName: Microsoft.AspNetCore.Http
  spec.csharp:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.AspNetCore
    name: AspNetCore
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore
  - name: .
  - uid: Microsoft.AspNetCore.Http
    name: Http
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http
  spec.vb:
  - uid: Microsoft
    name: Microsoft
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft
  - name: .
  - uid: Microsoft.AspNetCore
    name: AspNetCore
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore
  - name: .
  - uid: Microsoft.AspNetCore.Http
    name: Http
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/microsoft.aspnetcore.http
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.Authenticate*
  commentId: Overload:adas_core.LocalLogin.LocalLoginServiceImpl.Authenticate
  href: adas_core.LocalLogin.LocalLoginServiceImpl.html#adas_core_LocalLogin_LocalLoginServiceImpl_Authenticate_System_String_System_String_
  name: Authenticate
  nameWithType: LocalLoginServiceImpl.Authenticate
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.Authenticate
- uid: adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Authenticate_System_String_System_String_
  name: Authenticate(string, string)
  nameWithType: ILoginService.Authenticate(string, string)
  fullName: adas_core.Authentication.Interfaces.ILoginService.Authenticate(string, string)
  nameWithType.vb: ILoginService.Authenticate(String, String)
  fullName.vb: adas_core.Authentication.Interfaces.ILoginService.Authenticate(String, String)
  name.vb: Authenticate(String, String)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
    name: Authenticate
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Authenticate_System_String_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.Authenticate(System.String,System.String)
    name: Authenticate
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_Authenticate_System_String_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: ','
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.GetById*
  commentId: Overload:adas_core.LocalLogin.LocalLoginServiceImpl.GetById
  href: adas_core.LocalLogin.LocalLoginServiceImpl.html#adas_core_LocalLogin_LocalLoginServiceImpl_GetById_MongoDB_Bson_ObjectId_
  name: GetById
  nameWithType: LocalLoginServiceImpl.GetById
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.GetById
- uid: adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetById_MongoDB_Bson_ObjectId_
  name: GetById(ObjectId)
  nameWithType: ILoginService.GetById(ObjectId)
  fullName: adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
    name: GetById
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetById_MongoDB_Bson_ObjectId_
  - name: (
  - uid: MongoDB.Bson.ObjectId
    name: ObjectId
    isExternal: true
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetById(MongoDB.Bson.ObjectId)
    name: GetById
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetById_MongoDB_Bson_ObjectId_
  - name: (
  - uid: MongoDB.Bson.ObjectId
    name: ObjectId
    isExternal: true
  - name: )
- uid: MongoDB.Bson.ObjectId
  commentId: T:MongoDB.Bson.ObjectId
  parent: MongoDB.Bson
  isExternal: true
  name: ObjectId
  nameWithType: ObjectId
  fullName: MongoDB.Bson.ObjectId
- uid: MongoDB.Bson
  commentId: N:MongoDB.Bson
  isExternal: true
  name: MongoDB.Bson
  nameWithType: MongoDB.Bson
  fullName: MongoDB.Bson
  spec.csharp:
  - uid: MongoDB
    name: MongoDB
    isExternal: true
  - name: .
  - uid: MongoDB.Bson
    name: Bson
    isExternal: true
  spec.vb:
  - uid: MongoDB
    name: MongoDB
    isExternal: true
  - name: .
  - uid: MongoDB.Bson
    name: Bson
    isExternal: true
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.GetByEmail*
  commentId: Overload:adas_core.LocalLogin.LocalLoginServiceImpl.GetByEmail
  href: adas_core.LocalLogin.LocalLoginServiceImpl.html#adas_core_LocalLogin_LocalLoginServiceImpl_GetByEmail_System_String_
  name: GetByEmail
  nameWithType: LocalLoginServiceImpl.GetByEmail
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.GetByEmail
- uid: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByEmail_System_String_
  name: GetByEmail(string)
  nameWithType: ILoginService.GetByEmail(string)
  fullName: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(string)
  nameWithType.vb: ILoginService.GetByEmail(String)
  fullName.vb: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(String)
  name.vb: GetByEmail(String)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
    name: GetByEmail
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByEmail_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetByEmail(System.String)
    name: GetByEmail
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByEmail_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.GetByUsername*
  commentId: Overload:adas_core.LocalLogin.LocalLoginServiceImpl.GetByUsername
  href: adas_core.LocalLogin.LocalLoginServiceImpl.html#adas_core_LocalLogin_LocalLoginServiceImpl_GetByUsername_System_String_
  name: GetByUsername
  nameWithType: LocalLoginServiceImpl.GetByUsername
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.GetByUsername
- uid: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
  parent: adas_core.Authentication.Interfaces.ILoginService
  isExternal: true
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByUsername_System_String_
  name: GetByUsername(string)
  nameWithType: ILoginService.GetByUsername(string)
  fullName: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(string)
  nameWithType.vb: ILoginService.GetByUsername(String)
  fullName.vb: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(String)
  name.vb: GetByUsername(String)
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
    name: GetByUsername
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByUsername_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetByUsername(System.String)
    name: GetByUsername
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetByUsername_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: adas_core.LocalLogin.LocalLoginServiceImpl.GetAllUsers*
  commentId: Overload:adas_core.LocalLogin.LocalLoginServiceImpl.GetAllUsers
  href: adas_core.LocalLogin.LocalLoginServiceImpl.html#adas_core_LocalLogin_LocalLoginServiceImpl_GetAllUsers
  name: GetAllUsers
  nameWithType: LocalLoginServiceImpl.GetAllUsers
  fullName: adas_core.LocalLogin.LocalLoginServiceImpl.GetAllUsers
- uid: adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
  commentId: M:adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
  parent: adas_core.Authentication.Interfaces.ILoginService
  href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetAllUsers
  name: GetAllUsers()
  nameWithType: ILoginService.GetAllUsers()
  fullName: adas_core.Authentication.Interfaces.ILoginService.GetAllUsers()
  spec.csharp:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
    name: GetAllUsers
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetAllUsers
  - name: (
  - name: )
  spec.vb:
  - uid: adas_core.Authentication.Interfaces.ILoginService.GetAllUsers
    name: GetAllUsers
    href: adas_core.Authentication.Interfaces.ILoginService.html#adas_core_Authentication_Interfaces_ILoginService_GetAllUsers
  - name: (
  - name: )
- uid: System.Threading.Tasks.Task{System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.User}}
  commentId: T:System.Threading.Tasks.Task{System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.User}}
  parent: System.Threading.Tasks
  definition: System.Threading.Tasks.Task`1
  href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  name: Task<List<User>>
  nameWithType: Task<List<User>>
  fullName: System.Threading.Tasks.Task<System.Collections.Generic.List<adas_core.Domain.Models.MongoModels.User>>
  nameWithType.vb: Task(Of List(Of User))
  fullName.vb: System.Threading.Tasks.Task(Of System.Collections.Generic.List(Of adas_core.Domain.Models.MongoModels.User))
  name.vb: Task(Of List(Of User))
  spec.csharp:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: <
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.MongoModels.User
    name: User
  - name: '>'
  - name: '>'
  spec.vb:
  - uid: System.Threading.Tasks.Task`1
    name: Task
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.threading.tasks.task-1
  - name: (
  - name: Of
  - name: " "
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.MongoModels.User
    name: User
  - name: )
  - name: )
